import { SVGProps } from 'react'

const Logo = (props: SVGProps<SVGSVGElement>) => {
  return (
    <svg
      width={92}
      height={16}
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M52.309 0c-.842 0-1.472.252-2.156 1.211l-8.516 11.105-3.26-10.852C38.01.354 37.273 0 36.59 0c-1.052 0-1.577.404-2.103 1.363l-7.518 14.435h4.206l5.1-9.943 3.154 9.943h3.522l7.675-9.893-.052 9.893h3.575l-.053-13.88C54.096.555 53.202.05 52.309 0zM21.922 2.574l-3.364 13.224h3.837l3.312-13.224h-3.785zM8.306 8.58h-2.68l.998-3.987h2.839c1.524 0 2.313.656 2.155 1.918-.157 1.312-1.472 2.07-3.312 2.07zm7.097-2.22c.21-1.767-.84-3.786-4.678-3.786H3.312L0 15.798h3.785l1.262-4.946h1.945l3.365 4.946h4.153l-3.785-5.25c3.364-.807 4.468-2.472 4.678-4.188zM64.032 10.902l3.365-4.845 1.261 4.845h-4.626zm5.888 4.896h3.627l-3.47-12.164c-.472-1.413-1.366-1.766-2.312-1.666-.579.05-1.21.303-1.84 1.11l-9.095 12.77h3.732l1.84-2.675h6.782l.736 2.625zM85.113 13.375c-3.102-.05-4.836-1.716-4.574-3.836.316-2.877 3.05-4.593 6.887-4.593 1.104 0 2.576.101 3.89.404L92 2.675c-1.051-.252-2.891-.454-4.1-.454-6.52 0-10.673 2.877-11.198 7.217C76.229 13.274 79.067 16 85.113 16c1.21 0 2.26-.1 3.785-.353l.736-2.877c-1.524.404-2.68.605-4.52.605z"
        fill="#EF3340"
      />
    </svg>
  )
}

export default Logo
